
var defaultEncoding = 2; // 1: Tranditional Chinese, 2: Simplified Chinese
var translateDelay = 0;
var cookieDomain = "www.23us.com";
var msgToTraditionalChinese = "";
var msgToSimplifiedChinese = ""; 
var translateButtonId = "translatelink";

var currentEncoding = defaultEncoding;
var targetEncodingCookie = "targetEncoding" + cookieDomain.replace(/\./g,"");
var targetEncoding = ( getCookie(targetEncodingCookie) == null ? defaultEncoding : getCookie(targetEncodingCookie) );
var translateButtonObject;

function translateText( txt )
{
	if( txt == "" || txt == null )
		return "";
	if( currentEncoding == 1 && targetEncoding == 2 )
		return Simplized(txt);
	else if ( currentEncoding == 2 && targetEncoding == 1 )
		return Traditionalized(txt);
	else
		return txt;
}

function translateBody( fobj )
{
	if( typeof( fobj ) == "object" )
		var objs = fobj.childNodes;
	else 
		var objs = document.body.childNodes;

	for(var i=0;i<objs.length;i++)
	{
		var obj=objs.item(i);
		if( "||BR|HR|TEXTAREA|".indexOf( "|"+obj.tagName+"|" ) > 0 || obj == translateButtonObject )
			continue;
		if( obj.title != "" && obj.title != null )
			obj.title = translateText( obj.title );
		if( obj.alt != "" && obj.alt != null ) 
			obj.alt = translateText( obj.alt );
		if( obj.tagName == "INPUT" && obj.value != "" && obj.type != "text" && obj.type != "hidden" )
			obj.value = translateText( obj.value );
		if( obj.nodeType == 3 )
			obj.data = translateText( obj.data );
		else 
			translateBody(obj);
	}
   } 


function translatePage()
{
	translateButtonObject = document.getElementById( translateButtonId );
	if( targetEncoding == 1 )
	{
		currentEncoding  = 1;
		targetEncoding = 2;
		translateButtonObject.innerHTML = msgToTraditionalChinese;
		setCookie( targetEncodingCookie, targetEncoding, 7 );
		translateBody();
	}
	else if( targetEncoding == 2 )
	{
		currentEncoding  = 2;
		targetEncoding = 1;
		translateButtonObject.innerHTML = msgToSimplifiedChinese;
		setCookie( targetEncodingCookie, targetEncoding, 7 );
		translateBody();
	}
    }
    if(document.referrer==''){
	    setCookie(targetEncodingCookie,defaultEncoding,7)
}

function JTPYStr()
{
	return 'רҵԶ˿ɥܷΪôϰڿبǲĶڽزǼŻɡΰαӶ½ȿ٭ٯٶٱٲٳծǳϴжڸԲдũڣݼƾۻմɾiٹܼнȰ۽ѫҽЭ¬±ȴ᳧ѹǲóز΅˫Ҷ̾ߴĶ߼߽Ż߿ԱǺӽܻӴy|Х࿺԰ΧͼԲʥ۳໵̳ް׹¢ݿѵ눙ǵGǽ׳Ǻ״ͷжۼܽױ橽¦欽测OӤѧʵܹ޶ѰٽҢʬ᫸ᰵᴿNϿiոɍ۹ϱ˧ʦĴ֡᥸ɲׯ®пӦӷώ޿䵯ǿ鵱¼峹黳̬Ҷҳͱ㫲ѵ㳷Ը\Ϸս꯻ǤִɨŸҿ£ӵšֿΒ̢ЮӵӒ񻻵°§Яҡ̯ߢߣߥܵի쵶ն޾ʱDoԽɹӻɱȨ追ܼǹɹդջж嵵׮Η¥鷘ƺӣͳݻŷŹ챱ϱձ뵻㺺ûŽٲכhmŢкǳ䥛ǲ䫼䯛Ũ䱛ͿӿЛɬԨ½ʪӜб̲ΫǱֲ¯˸̷ǻ̽Ȼְүǣ״̱Aʨè̡_`⻷֫o巩竚Q걵续űߴӸ컾}̱Ѣ񳰨յμǵשn˶ͳ}~ȷﰭ׼t»ͺֻƻඌ˰ҤѿȼɸYݳǩ¨׽ԼγɴڷֽƷŦϸ֯称ﾭ窰޽笻Ѥͳ篾м簼糴ά緱׺罼翼綶ĻƱԵƸǷɲӧٽ޷ʳְ೦вʤֽŧNHܳսܼ«έɲƻ뾣QٻӫݡݣݥݤݦݧҩݰݯݪݫݲݵӨݺݻ[өӪ޽Ǿޭ޴޻޺²ϺʴӬЫ΅]βЄϮBװTϿ[_`ԀڥƶϼڦڧڨѵѶךکڪګכϷþ֤ڬڭʶלթڮߴڰگםڱڲڳڴʫڵڶڷڸڹѯںڻڼמڽھջڿ˵ŵ·̿˭ŵ׻̸ıȵгνβנлҥǫ׽á̷Ǵ߹k긺OͰ˻ʷ̰ƶṺܴᷡóѺ޼ֻ¸޸ʹPQR׸׬SӮWԸԾȼQӻaתbԹcꣷdԯϽշꥴǱɴǨ˻ԶΥɼѡѷңۣۧۦ֣۩۪ǵN⠼붤ǥ蕷藸Ѷ۳ƱԿվٹťǮǯܲǦíͭաϳ綠ҿﭳﲷпêസ׶ĶABͶþCDָFG޾HIJⳤ\ʴȼբֹ]^ղ_`a׼½¤ѳùΤ킺ҳ˳˶Ԥ­ľFGƵHIӱJնKȧrstuvƮ쮷𗼢α¶ڹȲ@AԦѱR¿ʻפS溧TUVWXƭYɧZ³@𯼦\Ÿѻ]Ѽ^_ԧ`abcȵdefghiklmnoϺprӥstdػ촳ȣ־ֻϵû׼ӱиɾƴ';
} 

function FTPYStr()
{
	return 'fchI|zGɇʂSReNxlIy̝녁aHC|Hā}xrⷕゥt΁wNLbHeɂȃS~zRzAEfhmPdƝBFσȌԌ܊rVTnQrQDRpCPD{Pcthe}qkՄӄńڄ݄̈́QT^tAfuRuPlsSdхBNPha^pl׃B~̖U\nᇘΆw Ǉ`҇IhTJ܆ԁUz߸jy푆}^􇂇WчO߇ZrK݇mӇc[DuڇoF@DA}ĉKԉȉΉ]ŉŉs׉|N߉P_|qϠ؉̎}^FAZYJ^WyDKIƋɌDʋzȋ܋ԋߌOW\meیmƱMӌڌόÌٌҌՎZqM獏sSuX[hGF{AnMV􍣍⼹p얎ŎÎ͎ΎLցKVfc]T쑪RUF[_w䛏؏ƶRԑnёBZYzّQÐŐґa@֑K͑vܑMTC|ؑ𑿑БߑL̔UВߓP_ᒁoMnrQܓ쓴钶ϓגD]͓ƓpQvӓSۓvRyzd[uPtΔfX]x\SYؔofr番ҕ@xԕϕᄞgCslqܘOЗgnfdŘ˗ɗژ䗫ә藨EnuzEǙΙxM{љ_geW{ݞ֚Кښ菡h@eϛ]arStI͞{oTaɛܝDќ\{۝yҝgIG❡TZiuݜo읙q՜YOn^uƝOcB[񝢞RsULM]VEI˞EutHz|l`ĠNtcqNTZCa៨Fc۠ӠޠُEwqNM{bzsCJMi؈oIH^m|hFtzkmcq\IavYT늮ܮXO󜯏bdW{ABVDTca`]_dğ}K}OwIPg{AmC\VXau^Za[ATo_|K~ALYB[\AUxdNeQxvdwF`[GZCQ]MQVSPa{\eB`Y~IUjDXjt@hf[eigcSZRfo{mutqwvswkoxV{v]y~CXMKUOEIB[HqYf@xWLok{j^gyCd^wcxm_pbyiKSdRIT^JC`UGYl~|}|ZDEP|N`dbp\cprOV_~zwtsi\`RQUyW_PT`buwNPEgeu@CcwdI[Û{đٖVLFÄz}ĒvĚXēL_ÓTĘDZs|ātevĜNݛŜŞœADWHˇdGʏJɐȔ˞{OnrKOod\LOG]RvʁɜwCjʎsȝΟn|pa{ȇȒˎWɉRɏPnW@~LɔE}ΞIMʒ_[rʉYV{EyʚvN`A@IN˒\̔]̓xAlmrϊgρΛQϖ͘MϠ|UU͐u·ϓ͑΁ϞωXsϐNϔQ\DarЖ\ыmuUbdтўcѝM@hwҊ^ҍҎҒҕҗ[XJҠ]CDMPUx|zׄu`ӅӋӆӇJIӓӏӑ׌ӘәӖhӍӛӕvM֎nӠGSӞՓKASOLECbXu{RwpV\ga~xtvgrECԇԟԊԑԜ\DԖԒQԍԏԎԃԄՊԓԔԌ՟Ԃp]_ZV`aTdNfbOՈTՌZxՎunՆ՘lՔ{~ՏՁrՄx\RՙeGCo]^@IX׋JOVBi՛՚փוqx{r՞tk֔֙ֆvևTPS׎VHחld׏Yrؐؑؓؒؕؔ؟t~؛|؜؝ؚHُA؞EvSBNFLJQMRO\ٗZVDUTEYWBgcldxـVHpnFksryهوٍَِّ٘Iדٚٛ٠AMXwsڅڎOSۄەV`JEۋ]QxPۙWUbۘXfkg|܇܈܉܎܍ܐDܗ݆ܛZMV_STWܠF]UpYdeIcb`^mov݂݅x݁y݈zwݏݗ݋ݜݔ\@ݠݚAHOoqp߅|_w^~\߀@Mh`Bt߃ޟEmxdfߊ߉zbw]udSPiByjwuYbYQTAlC{SO]}bgnRc^kj耚Jxu^[^oZX`QOXfgFKpUTCBGIoDsBeytK~XHzbAfxtPCqP||@yTonHNi{z~nSsh\JRZu|HNe^WK_adNF\vUVIiO}|IJ@R}DXVUtnky^gSMaORCBhu|jZDGCOdsnLTVWZ\]Jcebgh`l[|Y}GywubA]U@THDFIRXAH]EUS[`hyrׇZFVq\nov^XdxfghntywBDC@ABIHiRacM}WUl_jhefw}~DhAEL^QRSZ\`_dhjjw}hqTDAEFGLINHKRQW^lktvxos}~zRSWZY_gHzx|vw{A~RQPGHEUTSKR_sj}\tq~EKLJtyxW|u~EGT|OWVNUcQTq^wnbjf`dqor~\~zaNOEHKAFTLYXalsl[gw{qvmeFcBLMI@ZX[VshkgBFuSQOtfIdcR{o|zxrv@[MPZN]ZOY^ogAliktX\BFg_OVW^YQsWpwDILXUzSZstowx{BORWXZ[]eg_fblrpx}IubeSӇL\I犏fǬK';
}
function Traditionalized( cc )
{
	var str = '';
	var ss = JTPYStr();
	var tt = FTPYStr();

	for(var i = 0 ; i < cc.length ; i++ )
	{
		if( cc.charCodeAt(i) > 10000 && ss.indexOf( cc.charAt(i) ) != -1 )
			str += tt.charAt( ss.indexOf( cc.charAt(i) ) );
  		else 
  			str += cc.charAt(i);
	}
	return str;
}
function Simplized(cc){
	var str = '';
	var ss = JTPYStr();
	var tt = FTPYStr();

	for( var i=0 ; i < cc.length ; i++)
	{
		if( cc.charCodeAt(i) > 10000 && tt.indexOf( cc.charAt(i) ) != -1 )
			str += ss.charAt( tt.indexOf( cc.charAt(i) ) );
  		else 
  			str += cc.charAt(i);
	}
	return str;
}

function setCookie(name,value,days)
{
	if (days)
	{
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	}
	else var expires = "";
	document.cookie = name+"="+value+expires+"; path=/";
   }

function getCookie(name)
{
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++)
	{
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
}

function translateInitilization()
{
	translateButtonObject = document.getElementById( translateButtonId );
	if ( translateButtonObject )
	{
		with( translateButtonObject )
		{
			if(typeof(document.all)!="object")
			{
				href="javascript:translatePage();";
			}
			else
			{
				href="#";
				onclick = new Function( "translatePage(); return false;");
			}
		}
	
		if ( currentEncoding != targetEncoding ) 
		{
			setTimeout("translateBody()",translateDelay);
			if( targetEncoding == 1 )
				translateButtonObject.innerHTML = msgToSimplifiedChinese;
			else 
				translateButtonObject.innerHTML = msgToTraditionalChinese;
		}
	}
}
